Bug 246524 - (libquikgrid) Review Request: libquikgrid - The QuikGrid generator and contouring routine library
Review Request: libquikgrid - The QuikGrid generator and contouring routine ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW vtp
  Show dependency treegraph
 
Reported: 2007-07-02 16:19 EDT by Rick L Vinyard Jr
Modified: 2013-02-19 06:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 06:12:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rick L Vinyard Jr 2007-07-02 16:19:52 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/libquikgrid.spec
SRPM URL: http://miskatonic.cs.nmsu.edu/pub/libquikgrid-4.0-1.src.rpm

Description:
This library contains the grid generator (called xpand) and contouring routine
(called contour) in the QuikGrid program.
Comment 2 Nicolas Chauvet (kwizart) 2007-07-03 07:49:56 EDT
from spec file:
mv lesser.txt LICENSE
you should better use this. That will prevent timestramp  (install used as a
better cp )
install -pm 0644 lesser.txt LICENSE
Also i wonder if this:
"Permission to copy for non commercial purposes is granted provided the source
is acknowledged." is allowded by LGPL as this suggest that commercial
distribution (like RHEL), is not allowed to redistribute it freely...?!
Also this http://www.perspectiveedge.com/disclaimer.html disagree with the LGPL
license. (Does this page plan be updated ?)

Does this license change have been made recently ?
Upstream suggest that 5.3 is avaible but only 0.4 source is downloadable...

You should usually not uses %{version} for patch (unless changes are made for
the patch between each version) This will prevent to uses cvs history for the
file... For that, that would be better to merge your patch upstream also...

From build.log:
ckward_warning.h:32:2: warning: #warning This file includes at least one depreca
ted or antiquated header. Please consider using one of the 32 headers found in s
ection 17.4.1.2 of the C++ standard. Examples include substituting the <X> heade
r for the <X.h> header for C++ includes, or <iostream> instead of the deprecated
 header <iostream.h>. To disable this warning use -Wno-deprecated.
 -> This should be reported upstream (only warnings anyway)

That would be better that archive name follow the name package, i don't knwo if
upstream will change it also. I think that you set the right package name...

sum-up:
License in unclear
Merge autotools patch upstream (with the license in the main package)

Comment 3 Rick L Vinyard Jr 2007-07-03 16:17:08 EDT
Here's the latest version:
Spec URL: http://miskatonic.cs.nmsu.edu/pub/libquikgrid.spec
SRPM URL: http://miskatonic.cs.nmsu.edu/pub/libquikgrid-4.0-3.fc7.src.rpm

Changelog:
- Removed version from autotools patch
- Removed renaming of license and readme files
- Fixed CFLAGS in quikgrid.pc.in
- Fixed deprecated c++ headers in patch

Rather than messing with the install option I'll just leave the files alone and
put them in the docs.

With respect to the license, I think there are two issues. The version 5.3
refers to the QuikGrid windows application which is at version 5.3, whereas this
package is the quikgrid grid generation and contouring library which is at
version 4.0.

I was also a little confused about the way the license was worded, since the
non-commercial seemed contradictory to the statement that it was under the LGPL.
What you sometimes see is statements like "licensed under the LGPL except for
commercial purposes", etc. I wasn't sure if it was dual-licensed, originally
licensed non-commercial then then LGPL added, etc.

To clarify I contacted the author and his reply was:
"Is the problem that first line "Permission to copy for non commercial purposes
is granted"? If so I will delete it - I had no intention of putting any
limitations on the LGPL license. My general feeling is that I would like to see
the software used where it is useful and I don't want to put a lot of roadblocks
in front of people who want to do that and are willing to share changes to just
those functions... If I simply repackage it with a reference to the new LGPL and
place it on my web site I assume that is all that is required? I hope I can put
this off until August when we get back from our cruising."
Comment 4 Nicolas Chauvet (kwizart) 2007-07-05 13:13:50 EDT
The problem with this license if more serious...
I cannot approve this package because the integrated license from the original
package is not compatible with Fedora licenses...

As soon as we have a new package from the original website 
(with the new license), then we can integrate it to the collection...

continuing with others reviews...
Comment 5 Rick L Vinyard Jr 2007-08-12 13:23:03 EDT
The author has updated the license to remove the confusion and issued the
clarifying statement on the website.

I'll get the source updated in the next week or so and publish a new revision.
Comment 6 Nicolas Chauvet (kwizart) 2007-08-12 14:02:19 EDT
good!

So, do we have some news about minizip to be enabled from withit zlib ?!
There is also a mini update with the appropriate license bundled (but not
autotools patched merged in...)

I will take a quick look on vtp asap...



Comment 7 Nicolas Chauvet (kwizart) 2007-10-03 11:58:36 EDT
Indeed, the license is there (update the license field to  LGPLv2 )
Can you update the spec for version 5 ?
Comment 8 Rick L Vinyard Jr 2007-11-09 13:17:14 EST
I'll have an updated spec next week.
Comment 9 Rick L Vinyard Jr 2007-12-01 17:02:22 EST
Well, not quite next week, but close.

Here are the new files:
http://miskatonic.cs.nmsu.edu/pub/libquikgrid-5.0-1.fc8.src.rpm
http://miskatonic.cs.nmsu.edu/pub/libquikgrid.spec
Comment 10 Nicolas Chauvet (kwizart) 2007-12-18 09:43:41 EST
- License is LGPLv2+ (mean you can use any later version) - sorry for the mistake
Please use %{SOURCE1} etc to define the source path in %prep
- BuildRequiremenet and use for dos2unix could be avoided by using sed:
sed -i 's/\r//' readme.txt lesser.txt
then please keep timestamps with any reference file like:
touch -r reference_file.txt readme.txt lesser.txt

- Please keep directory ownership for %{_includedir}/quikgrid, like:
%{_includedir}/quikgrid/
  or
%dir %{_includedir}/quikgrid
%{_includedir}/quikgrid/*

rpmlint on installed package:
undefined-non-weak-symbol /usr/lib64/libquikgrid.so.0.0.0 _Z8DoLineToffi
You are probably missing a LDFLAG compiling libquikgrid... This can cause others
package to fails while linking to it...(or maybe this is related to mini as i'm
using F-7 x86_64 - anyway zlib-devel wasn't BuildRequired, so I'm still
searching where it come from)

I don't know if there is something wrong with the headers as it do not include
others files (so I wonder if there isn't some missing).

For the quikgrid.pc , there are something missing, it should point to the
appropriate include directory:
-I${includedir}
with includedir=/usr/include/quikgrid
also version seems wrong (it is 5.0)

I may try to build something against libquikgrid for proper testing...

Comment 11 Rick L Vinyard Jr 2008-05-22 16:46:44 EDT
Here are the new spec and srpm. These should take everything into account:

http://miskatonic.cs.nmsu.edu/pub/libquikgrid.spec
http://miskatonic.cs.nmsu.edu/pub/libquikgrid-5.0-2.fc9.src.rpm
Comment 12 Nicolas Chauvet (kwizart) 2008-05-23 08:22:03 EDT
This still seems unsafe to me to approve a package when the build tools aren't
merged in the upstream tarball. Did you have further explanation from the
upstream author about why autotools support hasn't been merged in the archive ?
(same for libMini).
Comment 13 Nicolas Chauvet (kwizart) 2008-06-23 15:49:30 EDT
ping ? (this is also true for libMini)
Can you cc'd me when you will ask the mains developpers of the related packages ?
Comment 14 Rakesh Pandit 2008-09-03 10:46:08 EDT
@Rick
update is required here?
Will be closed within one week in case no update is provided.
Comment 15 Rick L Vinyard Jr 2008-09-05 11:30:39 EDT
Still planning to work on it soon. I need to contact upstream and see if they'll incorporate the build tools.
Comment 16 Rick L Vinyard Jr 2008-09-22 11:21:27 EDT
I contacted upstream and the short version is that for now to build files won't be incorporated.

The long version is that the creator of quikgrid (John Coulthard) is semi-retired and really doesn't want to maintain quikgrid any more so 4.0 is going to be _his_ last release.

But, the project isn't dead. John is transitioning quikgrid to Ben Discoe (the VTP maintainer) who is setting up quikgrid on either google code or sourceforge.

I've already contacted Ben and I think we'll be able to transition the build files to upstream once the quikgrid project is transitioned.

Since 4.0 works, I think that the inclusion of the build files for now is mitigated by the fact that there is a pathway to transition the build files into quikgrid in the future.
Comment 17 Nicolas Chauvet (kwizart) 2008-10-14 04:21:53 EDT
Is there a newer snapshot for this ?
I will test the whole dependencies against current rawhide using my own experimental repository.
Comment 18 Rick L Vinyard Jr 2008-10-14 16:46:35 EDT
Unfortunately, no snapshots. Just the 4.0 release.
Comment 19 Nicolas Chauvet (kwizart) 2008-10-28 05:54:32 EDT
rpmlint on installed package:
libquikgrid.x86_64: W: undefined-non-weak-symbol /usr/lib64/libquikgrid.so.0.0.0 _ZN8QuikGrid8DoLineToEffi
Can this be fixed easily ? 

Any news from buildtools integration ?
Comment 20 Rick L Vinyard Jr 2008-11-07 16:00:25 EST
No word yet. I'm hoping to hear something soon since it would simplify some of the VTP patches as well.
Comment 21 Nicolas Chauvet (kwizart) 2009-01-22 09:47:38 EST
Is there any news ?
Comment 22 Rick L Vinyard Jr 2009-02-02 11:17:18 EST
I should have some time in the next week or two to move this forward a bit.
Comment 23 Miroslav Suchý 2013-02-19 06:12:58 EST
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue with this review, please reopen or
submit new review.

Note You need to log in before you can comment on or make changes to this bug.